> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.givechariot.com/v2026-04-01/api/financial-accounts/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server. # List financial accounts GET https://api.givechariot.com/v1/financial_accounts Returns a list of financial accounts. Reference: https://docs.givechariot.com/api/financial-accounts/list ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.givechariot.com` (Production, default) - `https://sandboxapi.givechariot.com` (Sandbox) ## Response ### 200 The response for FinancialAccounts.list - `results` (list of FinancialAccount, optional) ## Errors ### 400 Bad Request Error The request is invalid or contains invalid parameters - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 401 Unauthorized Error Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller. - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 403 Forbidden Error Access denied - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 500 Internal Server Error Internal Server Error - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ## Types ### FinancialAccount A financial account represents a financial, depository (bank) account managed by Chariot. Chariot maintains a ledger and balances for the account. This account should be funded and have a sufficient available balance before disbursements can be created. Chariot is a financial technology company, not a bank. Chariot Deposit Accounts come through our banking services partner, Column, N.A. - `id` (string, required) — The unique identifier for the account - `account_type` (enum, required) — The type of account - Allowed values: `disbursements`, `processing` - `bank_provider` (string, required) — The bank provider for the account - `created_at` (datetime, required) — The date and time the account was created - `updated_at` (datetime, required) — The date and time the account was last updated ## Examples **Response** ```json { "results": [ { "id": "account_01jpjenf5q6cawy43yxfcrxhct", "account_type": "disbursements", "bank_provider": "mock_alpha", "created_at": "2020-01-31T23:00:00Z", "updated_at": "2020-01-31T23:00:00Z" } ] } ```